GSTechnologies Ltd

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/gstechnologies-ltd/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/gstechnologies-ltd/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1758067200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.gstechnologies.co.uk/post/bitcoin-holding",
    "holding_balance": 8.8,
    "holding_net_change": 8.8,
    "transaction_value_usd": 999617.9,
    "average_entry_value_usd": 113592.94,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/gstechnologies-ltd/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    8.8
  ],
  [
    1782950400000,
    8.8
  ],
  [
    1783036800000,
    8.8
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/gstechnologies-ltd/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    527688.04
  ],
  [
    1782950400000,
    541092.9040000001
  ],
  [
    1783036800000,
    550228.712
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/gstechnologies-ltd/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 0.35,
    "date": "2026-07-01",
    "high": 0.4699,
    "open": 0.375,
    "close": 0.425,
    "volume": 19528725
  },
  {
    "low": 0.4051,
    "date": "2026-07-02",
    "high": 0.4899,
    "open": 0.45,
    "close": 0.45,
    "volume": 3354205
  },
  {
    "low": 0.4095,
    "date": "2026-07-03",
    "high": 0.4899,
    "open": 0.45,
    "close": 0.4095,
    "volume": 2681631
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/gstechnologies-ltd/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/gstechnologies-ltd/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 10.68,
  "six_month_return": -9.0,
  "three_month_return": 82.0
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/gstechnologies-ltd/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 5.1,
  "total_btc_percentage": 0.0,
  "share_price_change_state": "down"
}